%define libxml2_version 2.4.20
%define gtk2_version 2.11.3
%define glib2_version 2.15.4
%define libgnomeui_version 2.2.0
%define libgnomecanvas_version 2.0.0
%define startup_notification_version 0.5
%define gnome_doc_utils_version 0.3.2
%define gtk_doc_version 1.9

%define po_package gnome-desktop-2.0

Summary: Shared code among gnome-panel, gnome-session, nautilus, etc
Name: gnome-desktop
Version: 2.28.2
Release: 11%{?dist}
URL: http://www.gnome.org
Source0: http://download.gnome.org/sources/gnome-desktop/2.28/%{name}-%{version}.tar.bz2
Patch1: concatenate-edid-descriptors.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=597874
Patch2: randr-gamma.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=599914
Patch3: ignore-xrandr-badmatch.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=147808
Patch4: per-monitor-background.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=601753
Patch5: slideshow.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=606456
Patch6: gnome-desktop-crash.patch
# https://bugzilla.gnome.org/show_bug.cgi?id=606457
Patch7: randr-version.patch
# upstream fix
Patch8: width-for-height.patch
# updated translations
# https://bugzilla.redhat.com/show_bug.cgi?id=589200
Patch9: gnome-desktop-translations.patch

# https://bugzilla.redhat.com/show_bug.cgi?id=582564
# https://bugzilla.gnome.org/show_bug.cgi?id=621046
Patch10: fix-detect-displays.patch

# https://bugzilla.redhat.com//show_bug.cgi?id=639732
# Nautilus is leaking memory
Patch11: gnome-desktop-2.29.4-gnomebg-refcounting.patch

# https://bugzilla.redhat.com/824757
Patch12: fix-hotkey.patch

License: GPLv2+ and LGPLv2+
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: redhat-menus
Requires: pycairo
Requires: pygtk2
Requires: gnome-python2-gnome

Obsoletes: gnome-core gnome-core-devel
Provides: gnome-core

# Make sure to update libgnome schema when changing this
Requires: system-logos

BuildRequires: gnome-common
BuildRequires: libxml2-devel >= %{libxml2_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: libgnomecanvas-devel >= %{libgnomecanvas_version}
BuildRequires: startup-notification-devel >= %{startup_notification_version}
BuildRequires: gnome-doc-utils >= %{gnome_doc_utils_version}
BuildRequires: scrollkeeper
BuildRequires: gettext
BuildRequires: gtk-doc >= %{gtk_doc_version}
BuildRequires: automake autoconf libtool intltool

%description

The gnome-desktop package contains an internal library
(libgnomedesktop) used to implement some portions of the GNOME
desktop, and also some data files and other shared components of the
GNOME user environment.

%package devel
Summary: Libraries and headers for libgnome-desktop
License: LGPLv2+
Group: Development/Libraries
Requires: %name = %{version}-%{release}

Requires: libxml2-devel >= %{libxml2_version}
Requires: gtk2-devel >= %{gtk2_version}
Requires: glib2-devel >= %{glib2_version}
Requires: libgnomeui-devel >= %{libgnomeui_version}
Requires: libgnomecanvas-devel >= %{libgnomecanvas_version}
Requires: startup-notification-devel >= %{startup_notification_version}
Requires: gnome-doc-utils >= %{gnome_doc_utils_version}
Requires: pkgconfig
Requires: gtk-doc >= %{gtk_doc_version}

%description devel
Libraries and header files for the GNOME-internal private library
libgnomedesktop.

%prep
%setup -q
%patch1 -p1 -b .concatenate-edid-descriptors
%patch2 -p1 -b .randr-gamma
%patch3 -p1 -b .ignore-xrandr-badmatch
%patch4 -p1 -b .per-monitor-background
%patch5 -p1 -b .slideshow
%patch6 -p1 -b .crash
%patch7 -p1 -b .randr-version
%patch8 -p1 -b .width-for-height
%patch9 -p1 -b .translations
%patch10 -p1 -b .fix-detect-displays
%patch11 -p1 -b .gnomebg-refcounting
%patch12 -p1 -b .fix-hotkey

%build
%configure --with-gnome-distributor="Red Hat, Inc" \
	   --with-pnp-ids-path="/usr/share/hwdata/pnp.ids" \
	   --disable-scrollkeeper
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# stuff we don't want
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a

%find_lang %{po_package} --all-name --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_datadir}/applications/gnome-about.desktop
%{_datadir}/gnome-about
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%doc %{_mandir}/man*/*
# GPL
%{_bindir}/gnome-about
# LGPL
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*
%doc %{_datadir}/gtk-doc/html/gnome-desktop/


%changelog

